{% extends 'shop/basic.html'%}
{% block css %}
            .col-md-3{
            display: inline-block;
            margin-left: -30px;
          }
            
            .col-md-3 img {
            width: 255px;
            height: 355px;
            margin-left: 5px; 
            }
          

            .carousel-indicators .active {
            background-color:blue;
            }

            .card{
            background: grey;
            padding: 10px;
            margin-left: 95px;
            height: 542px;
            }
            .carousel-control-next-icon{
            background-color:blue;;
            }
            .carousel-control-prev-icon{
            background-color:blue;;
            }
            body .carousel-control-prev-icon
            body .carousel-control-next-icon

 {% endblock %}


          {% block title %}  E-shop cart {% endblock %}


 {% block body %}
<br>
<br>
<br>
<br>
<br>

 <!-- <div class="container"> -->
  <div id="carouselExampleIndicators" class="carousel slide my-3" data-ride="carousel">
    <ol class="carousel-indicators">
      <li data-target="#carouselExampleIndicators" data-slide-to="0" class="active"></li>
        {% for i in range %}
      <li data-target="#carouselExampleIndicators" data-slide-to="{{i}}"></li>
        {% endfor %}

    </ol>
        <div class="carousel-inner">

          <div class="carousel-item active">
            <div class="col-xs-3 col-sm-3 col-md-3">
              <div class="card" style="width: 18rem;">
                <img src="/media/{{product.0.image}}" class="card-img-top" alt="...">
                <div class="card-body">
                <h5 class="card-title">{{product.0.product_name}}</h5>
                <p class="card-text">{{product.0.decs}}</p>
                <button id="pr{{product.0.id}}" href="/shop/store/cart" class="btn btn-primary cart">BUY NOW</button>
                </div>
              </div>
            </div>



          {% for i in product|slice:"1:"%}

            <div class="col-xs-3 col-sm-3 col-md-3">
              <div class="card" style="width: 18rem;">
                <img src="/media/{{i.image}}" class="card-img-top" alt="...">
                <div class="card-body">
                  <h5 class="card-title">{{i.product_name}}</h5>
                  <p class="card-text">{{i.decs}}</p>
                  <button id="pr{{i.id}}" href="/shop/store/cart" class="btn btn-primary cart">BUY NOW</button>
                </div>
              </div>
            </div>
          {% if forloop.counter|divisibleby:3 and forloop.counter > 0 and not forloop.last%}
        </div>   

          <div class="carousel-item">
            
        
          {% endif %}
          {% endfor %}
          </div>
        </div>

<!--    <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">-->
<!--      <span class="carousel-control-prev-icon" aria-hidden="true"></span>-->
<!--      <span class="sr-only">Previous</span>-->
<!--    </a>-->
<!--    <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">-->
<!--      <span class="carousel-control-next-icon" aria-hidden="true"></span>-->
<!--      <span class="sr-only">Next</span>-->
<!--    </a>-->
  </div>
  <!-- </div> -->

{% endblock %}
{% block js %} 
<script>
console.log('WElcome')

if(localStorage.getItem('cart')== null){
  var cart={};
}
else{
  cart = JSON.parse(localStorage.getItem('cart'));
}

$('.cart').click(function(){
 console.log('clicked');
 var idst =this.id.toString()
 console.log(idst) 
});


</script>

{% endblock %}